with GNATCOM.Dispinterface;

package MSHTML.IHTMLCSSImportRule_Object is

   type IHTMLCSSImportRule_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_href
     (This : IHTMLCSSImportRule_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_media
     (This : IHTMLCSSImportRule_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_media
     (This : IHTMLCSSImportRule_Type)
     return GNATCOM.Types.VARIANT;

   function Get_styleSheet
     (This : IHTMLCSSImportRule_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLCSSImportRule_Object;

